<?php
/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @package    ai-tool-center
 * @subpackage Aitoce/includes
 * @author     sjvision <contact@ai-tool-center.com>
 */
class Aitoce_Deactivator
{
	public static function aitoce_deactivate()
	{
		$options = new Aitoce_Admin_Options();
		$delete = (int) $options->aitoce_get_option(AITOCE_OPTION_NAME_SETTINGS, 'delete_options');

		if ($delete === 1) {
			delete_option(AITOCE_OPTION_NAME_ACCOUNT);
			delete_option(AITOCE_OPTION_NAME_SETTINGS);
			delete_option(AITOCE_OPTION_NAME_MODEL);
			delete_option(AITOCE_OPTION_NAME_POPUP);
			delete_option(AITOCE_OPTION_NAME_PAGE);
		}
	}
}
