<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 * It outputs the HTML structure for the NimBot popup chatbot interface
 * that appears on the front-end of the website.
 *
 * @link       https://ai-tool-center.com/about
 * @since      1.0.0
 *
 * @package    ai-tool-center
 * @subpackage Aitoce/public/partials
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// phpcs:disable PluginCheck.CodeAnalysis.ImageFunctions.NonEnqueuedImage

/*
    This template renders the NimBot popup chat interface for site visitors.
    - Displays the chat header with draggable, reset, and close icons.
    - Shows the chat messages area and input controls for user interaction.
    - Includes a floating icon to open the chat popup.
*/
?>

<div id="aitoce-popup-container" class="aitoce-popup-container">
    <div id="aitoce-popup-chat-box" class="aitoce-popup-chat-box">
        <div id="aitoce-chat-header" class="aitoce-chat-header">
            <div id="aitoce-chat-header-text" class="aitoce-chat-header-text">NimBot</div>
            <i id="aitoce-popup-refresh-chat" class="fa-solid fa-arrows-rotate" title="Reset"></i>
            <i id="aitoce-popup-close-chat" class="fa-regular fa-circle-xmark" title="Close"></i>
        </div>
        <div id="aitoce-popup-messages" class="aitoce-popup-chat-messages"></div>
        <div id="aitoce-chat-input-area" class="aitoce-chat-input-area">
            <textarea id="aitoce-popup-input" class="aitoce-chat-input aitoce-chat-input-popup" rows="2" placeholder="Type a message..."></textarea>
            <button id="aitoce-popup-send-btn" class="aitoce-send-btn">Send</button>
        </div>
    </div>
    <img id="aitoce-icon" class="aitoce-popup-icon" src="/wp-content/plugins/ai-tool-center/public/images/nimbot-speech-bubble.png" alt="Nimbot Icon" />
</div>